Rotate webhook endpoint secret
curl --request POST \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"previous_secret_ttl_seconds": 1
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({previous_secret_ttl_seconds: 1})
};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret"
payload = { "previous_secret_ttl_seconds": 1 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [
"miniapp.question.answered"
],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"status": "active",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"signing_secret": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Rotate webhook endpoint secret
Rotates a webhook endpoint signing secret and returns the new secret exactly once.
POST
https://api.ando.so/v1
/
webhook-endpoints
/
{endpointId}
/
rotate-secret
Rotate webhook endpoint secret
curl --request POST \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"previous_secret_ttl_seconds": 1
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({previous_secret_ttl_seconds: 1})
};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}/rotate-secret"
payload = { "previous_secret_ttl_seconds": 1 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [
"miniapp.question.answered"
],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"status": "active",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"signing_secret": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Body
application/json